Subject: Re: augmented/basic

From: David Jablon <[email-masked]>
Date: Mon, 02 Apr 2001 10:33:03 -0400

Stephen,

Not intending to speak for Radia, I'd suggest refinining some of these
position statements:

At 01:09 PM 4/2/01 +0100, Stephen paraphrased Radia's remarks as:
>
> - augmented means that even with the server DB, you have to mount
>   an offline dictionary attack to get a password

It is better to say:

   - augmented means that even with the server DB, you have to mount
     an offline dictionary attack to be able to pose as the user in the protocol.

For example, you can run an un-augmented method with hash(password) in
the DB, where the client program proves knowledge of hash(password)
in each run.  A thief who steals the DB still has to do a dictionary attack to
get the password, even though he only needs hash(password) to login
with a modified client program.

> - only the Ford/Kaliski scheme does better (using separate 
>   servers), but you think that should be out of scope for comms
>   & possibly IPR reasons

These may be reasons against F/K being a MUST-implement scheme,
but otherwise it seems quite relevant.

> - for sacred, augmented is unimportant since the only thing we're 
>   protecting is already in the server's DB (i.e. the credential)
>
> I'm not sure I buy it entirely. I can well imagine implementations which
> have fairly strong separation between the long-term storage of Y and the 
> password equivalent or verifier (and where the long-term stored data is 
> separately encrypted). I'd buy the argument if you're assuming that the 
> attacker can compromise the run-time credential server, but that seems
> like more work than just getting the server's DB.

I agree that the "augmentation is superfluous" argument applies ... under
some simplifying assumptions.  As Radia said:

	"If you've stolen the server [credential] database, you already have
	Y [the (hashed?) password]." 

This and perhaps other assumptions may be plausible for most
systems, but I think they need to be clearly identified.

-- David